summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sys-devel/autogen')
-rw-r--r--sys-devel/autogen/Manifest1
-rw-r--r--sys-devel/autogen/autogen-5.18.10.ebuild44
2 files changed, 45 insertions, 0 deletions
diff --git a/sys-devel/autogen/Manifest b/sys-devel/autogen/Manifest
index 3404caa600f..7d2072f856c 100644
--- a/sys-devel/autogen/Manifest
+++ b/sys-devel/autogen/Manifest
@@ -1 +1,2 @@
+DIST autogen-5.18.10.tar.xz 1017960 SHA256 4e248e02c50404ea5c5fc29027d26600f895a9eae7ea5ef851be2c8587abc148 SHA512 cfb06566aebe2aa833f2a032c513aa1d57a803eee82f03d6f6fe3806a0f570d5dbf8331015d2afde89a3d4e4c967b6a367d3e2820addb3ff6a5ac6d481a058be WHIRLPOOL 2eae849d10083da05e0c42931b5f52a9e6ab0f548473a3812e089515ec5ed76dc94008466ab6f4e5bcf5c220898aa7ffba6ecdcbde7d8fbe0134daf45788994a
DIST autogen-5.18.4.tar.xz 1017936 SHA256 7fbaff0c25035aee5b96913de2c83d9a5cc973b8dc08d6b7489ecbcfd72eb84b SHA512 a02363484de5019bd90fb6f2cf52b1b9556d6cf310c62a68830d0b2408ea4870d3c262fe5d1c27e3586ed3af4a7487d7422ad117760ac2a01ef3cfcfc1f2bfb6 WHIRLPOOL 109cb5637558f8e16cbb9afcb629a9bbd3d5ceae6b897a00101fce99b1a39b06ecc497d9b43441e40b58981dd2402027e89ce6ae76da73b73db934c64bca2b63
diff --git a/sys-devel/autogen/autogen-5.18.10.ebuild b/sys-devel/autogen/autogen-5.18.10.ebuild
new file mode 100644
index 00000000000..05b31b03313
--- /dev/null
+++ b/sys-devel/autogen/autogen-5.18.10.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="5"
+
+inherit eutils toolchain-funcs
+
+DESCRIPTION="Program and text file generation"
+HOMEPAGE="https://www.gnu.org/software/autogen/"
+SRC_URI="mirror://gnu/${PN}/rel${PV}/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~arm-linux ~x86-linux ~x64-macos ~x86-macos"
+IUSE="libopts static-libs"
+
+# This should be guile-1.8+, but upstream has a bug with older versions:
+# https://savannah.gnu.org/support/index.php?109051
+RDEPEND=">=dev-scheme/guile-2.0:=
+ dev-libs/libxml2"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+ # https://savannah.gnu.org/support/index.php?109050
+ sed -i \
+ -e "/--cflags-only-I/s:pkg-config:$(tc-getPKG_CONFIG):" \
+ configure || die
+}
+
+src_configure() {
+ # suppress possibly incorrect -R flag
+ export ag_cv_test_ldflags=
+
+ econf $(use_enable static-libs static)
+}
+
+src_install() {
+ default
+ prune_libtool_files
+
+ if ! use libopts ; then
+ rm "${ED}"/usr/share/autogen/libopts-*.tar.gz || die
+ fi
+}